Project and Portfolio Management Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

Trigger errors on SP3 for 8 install

SOLVED
Go to solution
Highlighted
Cat_2
Regular Collector

Trigger errors on SP3 for 8 install

After installing SP3 everything appears to be okay but when you create a new request I get...

 

ORA-04098: trigger 'PPM.KCRT_REQ_HEADER_DETA_30455_1' is invalid and failed re-validation {KCRT_REQ_HEADER_DETAILS_TH-300}
GUID=3C09041E-6422-72A4-9DDC-7797D9F13320

 

Has anyone seen this?

2 REPLIES
dirkf
Honored Contributor
Solution

Re: Trigger errors on SP3 for 8 install

Hi Cat,

 

this is a known issue for upgrades in Service Packs with the later Service Packs of 7.5 as well as with 8.0x:

 

The user has recently applied SP7 servcie pack on PPM 7.5. After applying the patch they are not able to create any requests on the system and getting following error:

ORA-04098: trigger 'KNTA_DBA.KCRT_REQ_HEADER_DETA_30961_3' is invalid and failed re-validation {KCRT_REQ_HEADER_DETAILS_TH-300}

This issue occurs only when the single quotation mark ' is used in the prompt of request header.

 

Its described in  QCCR1L39824

http://support.openview.hp.com/selfsolve/document/FID/DOCUMENTUM_QCCR1L39824

 

I've seen this for both the colon (:) as well for he quote (') in the Request Header field prompt. Please check if you have that for the Request Header Type that you use and test if it solves the issue to remove it. If that's not possible or you can't locate the field, please open a support case with the GUID, kSupportfiles, export the trigger from the schema and provide that together with an export of the RHT.

 

HOpe this will solve the issue.

 

Have a great day.

Best regards,

Dirk

Cat_2
Regular Collector

Re: Trigger errors on SP3 for 8 install

That was the problem o' PPM guru. Thanks yet again!

//Add this to "OnDomLoad" event